## gate.util.persistence
Class LanguageAnalyserPersistence

    java.lang.Object
      |
      +--gate.util.persistence.ResourcePersistence
            |
            +--gate.util.persistence.PRPersistence
                  |
                  +--gate.util.persistence.LanguageAnalyserPersistence

All Implemented Interfaces:
  Persistence, Serializable

public class LanguageAnalyserPersistence
extends PRPersistence

Provides a persistent equivalent for `LanguageAnalyser`s. Adds handling of corpus and document members for PRPersistence.

See Also:
  Serialized Form

Constructor Summary
`LanguageAnalyserPersistence()`

Method Summary
`Object` `createObject()` Creates a new object from the data contained.
`void` `extractDataFromSource(Object source)` Populates this Persistence with the data that needs to be stored from the original source object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LanguageAnalyserPersistence

    public LanguageAnalyserPersistence()

Method Detail

### extractDataFromSource

    public void extractDataFromSource(Object source)
                               throws PersistenceException

  Populates this Persistence with the data that needs to be stored from the original source object.
  Overrides:
    `extractDataFromSource` in class `PRPersistence`

### createObject

    public Object createObject()
                        throws PersistenceException,
                               ResourceInstantiationException

  Creates a new object from the data contained. This new object is supposed to be a copy for the original object used as source for data extraction.
  Overrides:
    `createObject` in class `PRPersistence`